summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSamuel Thibault <samuel.thibault@ens-lyon.org>2014-11-19 13:02:38 +0100
committerSamuel Thibault <samuel.thibault@ens-lyon.org>2014-11-19 13:02:38 +0100
commit54efcb42bd7be12599f53d5a98623c35516955a3 (patch)
tree5f352f48862f20477e046379bc80fd37b5650cc0
parent8f9ccd3a2127c87ee3240e638b1c53816ff05d15 (diff)
parente9b5d5af1fde52a271d0e4bee988e458d2b2de11 (diff)
downloadjenkins.debian.net-54efcb42bd7be12599f53d5a98623c35516955a3.tar.xz
Merge branch 'master' of git://git.debian.org/git/qa/jenkins.debian.net
-rw-r--r--bin/g-i-installation.sh27
-rwxr-xr-xbin/maintainance.sh9
-rwxr-xr-xbin/reproducible_common.sh3
-rwxr-xr-xbin/reproducible_html_graphs.sh4
-rwxr-xr-xbin/reproducible_html_indexes.sh2
-rwxr-xr-xbin/reproducible_maintainance.sh18
-rwxr-xr-xbin/reproducible_scheduler.sh2
-rw-r--r--d-i-preseed-cfgs/debian-edu_jessie_main-ltsp-server_preseed.cfg4
l---------d-i-preseed-cfgs/debian_jessie_kfreebsd_preseed.cfg (renamed from d-i-preseed-cfgs/debian_jessie_daily_kfreebsd_preseed.cfg)0
-rw-r--r--d-i-preseed-cfgs/debian_sid_daily_kfreebsd_preseed.cfg5
l---------d-i-preseed-cfgs/debian_wheezy_kfreebsd_preseed.cfg (renamed from d-i-preseed-cfgs/debian_wheezy_daily_kfreebsd_preseed.cfg)0
-rw-r--r--etc/sudoers.d/jenkins2
12 files changed, 54 insertions, 22 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index aadbcc01..74355978 100644
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -109,7 +109,16 @@ cleanup_all() {
#
# kill qemu
#
- sudo kill -9 $(ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " 2>/dev/null | awk '{print $1}') || true
+ # use SIGINT for 10 seconds to encourage graceful shutdown
+ for i in $(seq 1 10); do
+ QEMU_PID=$(ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " 2>/dev/null | awk '{print $1}')
+ [ -z "$QEMU_PID" ] && break
+ sudo kill -INT $QEMU_PID
+ sleep 1
+ done
+ # force exit with SIGKILL if still running now
+ QEMU_PID=$(ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " 2>/dev/null | awk '{print $1}')
+ [ -z "$QEMU_PID" ] || sudo kill -KILL $QEMU_PID
sleep 0.3s
#
# save logs if there are any
@@ -178,7 +187,9 @@ bootstrap_system() {
RELEASE="$(echo $NAME | cut -d "_" -f2)"
if [ "$RELEASE" != "jessie" ] ; then
echo "Workaround to remove swap signature from previous installs, see #757818"
- time sudo dd if=/dev/zero of=$LV bs=4096 || true
+ bs=8192
+ let count="1024*1024*1024*${DISKSIZE_IN_GB}/$bs"
+ time sudo dd if=/dev/zero of=$LV bs=$bs count=$count || true
else
echo "Release $RELEASE detected, where #757818 should be fixed, thus not applying workaround..."
fi
@@ -197,7 +208,7 @@ bootstrap_system() {
# preseeding related variables
PRESEEDCFG="preseed.cfg"
PRESEED_PATH=d-i-preseed-cfgs
- PRESEED_URL="url=$QEMU_WEBSERVER/$PRESEED_PATH/${NAME}_$PRESEEDCFG"
+ PRESEED_URL="$QEMU_WEBSERVER/$PRESEED_PATH/${NAME}_$PRESEEDCFG"
#
# boot configuration
#
@@ -300,7 +311,7 @@ bootstrap_system() {
EXTRA_APPEND="$EXTRA_APPEND priority=critical"
;;
esac
- APPEND="auto=true $EXTRA_APPEND $INST_LOCALE $INST_KEYMAP $PRESEED_URL $INST_VIDEO -- quiet"
+ APPEND="auto=true $EXTRA_APPEND $INST_LOCALE $INST_KEYMAP url=$PRESEED_URL $INST_VIDEO -- quiet"
show_preseed $(hostname -f)/$PRESEED_PATH/${NAME}_$PRESEEDCFG
echo
echo "Starting QEMU now:"
@@ -711,11 +722,11 @@ post_install_boot() {
;;
0350) do_and_report type root
;;
- 0480) do_and_report key enter
+ 0400) do_and_report key enter
;;
- 0490) do_and_report type r00tme
+ 0410) do_and_report type r00tme
;;
- 0500) do_and_report key enter
+ 0420) do_and_report key enter
;;
0550) do_and_report type ps
;;
@@ -1244,7 +1255,7 @@ case $NAME in
;;
debian-edu_*combi-server) monitor_system install wait4match 3000
;;
- *_hurd*|debian-edu_*wheezy*standalone*) monitor_system install wait4match 1200
+ debian-edu_*wheezy*standalone*) monitor_system install wait4match 1200
;;
*) monitor_system install wait4match
;;
diff --git a/bin/maintainance.sh b/bin/maintainance.sh
index 694c964a..047d4f68 100755
--- a/bin/maintainance.sh
+++ b/bin/maintainance.sh
@@ -36,7 +36,12 @@ chroot_checks() {
report_old_directories() {
# find and warn about old temp directories
- OLDSTUFF=$(find $1/* -maxdepth 0 -type d -mtime +$2 -exec ls -lad {} \;)
+ if [ -z "$3" ] ; then
+ OLDSTUFF=$(find $1/* -maxdepth 0 -type d -mtime +$2 -exec ls -lad {} \;)
+ else
+ # if $3 is given, ignore it
+ OLDSTUFF=$(find $1/* -maxdepth 0 -type d -mtime +$2 ! -path "$3*" -exec ls -lad {} \;)
+ fi
if [ ! -z "$OLDSTUFF" ] ; then
echo "Warning: old temp directories found in $REP_RESULTS"
echo "$OLDSTUFF"
@@ -164,7 +169,7 @@ else
echo "WARNING: there is no check / handling on stale lvm volumes"
rm $ACTIVE_JOBS $WATCHED_JOBS $RUNNING
;;
- d-i) report_old_directories /srv/d-i 7
+ d-i) report_old_directories /srv/d-i 7 /srv/d-i/workspace
;;
squid) report_squid_usage
;;
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index 8fe2f96c..6f1324d2 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -142,7 +142,6 @@ init_html() {
COUNT_GOOD=$(sqlite3 -init $INIT $PACKAGES_DB "SELECT COUNT(name) FROM source_packages WHERE status = \"reproducible\"")
PERCENT_TOTAL=$(echo "scale=1 ; ($COUNT_TOTAL*100/$AMOUNT)" | bc)
PERCENT_GOOD=$(echo "scale=1 ; ($COUNT_GOOD*100/$COUNT_TOTAL)" | bc)
- GUESS_GOOD=$(echo "$PERCENT_GOOD*$AMOUNT/100" | bc)
BUILDINFO_SIGNS=true
}
@@ -194,7 +193,7 @@ write_page_header() {
if [ "$1" = "$MAINVIEW" ] ; then
write_page "<p>These pages contain results obtained from <a href=\"$JENKINS_URL/view/reproducible\">several jobs running on jenkins.debian.net</a>. Thanks to <a href=\"https://www.profitbricks.com\">Profitbricks</a> for donating the virtual machine it's running on!</p>"
fi
- write_page "<p>$COUNT_TOTAL packages have been attempted to be build so far, that's $PERCENT_TOTAL% of $AMOUNT source packages in Debian $SUITE currently. Out of these, $PERCENT_GOOD% were successful, so quite wildly guessing this roughy means about $GUESS_GOOD <a href=\"https://wiki.debian.org/ReproducibleBuilds\">packages should be reproducibly buildable!</a>"
+ write_page "<p>$COUNT_TOTAL packages have been attempted to be build so far, that's $PERCENT_TOTAL% of $AMOUNT source packages in Debian $SUITE currently. Out of these, $COUNT_GOOD packagea ($PERCENT_GOOD%) <a href=\"https://wiki.debian.org/ReproducibleBuilds\">could be built reproducible!</a>"
if [ "${1:0:3}" = "all" ] || [ "$1" = "dd-list" ] || [ "$1" = "stats" ] ; then
write_page " Join <code>#debian-reproducible</code> on OFTC to get support for making sure your packages build reproducibly too!"
fi
diff --git a/bin/reproducible_html_graphs.sh b/bin/reproducible_html_graphs.sh
index 14616eac..02532fc2 100755
--- a/bin/reproducible_html_graphs.sh
+++ b/bin/reproducible_html_graphs.sh
@@ -95,7 +95,7 @@ COLOR[1]=4
COLOR[2]=3
COLOR[3]=18
MAINLABEL[0]="Package reproducibility status"
-MAINLABEL[1]="Amout of packages build each day"
+MAINLABEL[1]="Amount of packages build each day"
MAINLABEL[2]="Age in days of oldest kind of logfile"
MAINLABEL[3]="Bugs with usertags for user reproducible-builds@lists.alioth.debian.org"
YLABEL[0]="Amount (total)"
@@ -160,7 +160,7 @@ if [ $COUNT_SOURCELESS -gt 0 ] ; then
fi
set_icon not_for_us
write_icon
-write_page "$COUNT_NOTFORUS ($PERCENT_NOTFORUS%) packages which are neither Architecture: 'any', 'all', 'amd64', 'linux-any', 'linux-amd64' nor 'any-amd64' will never be build here"
+write_page "$COUNT_NOTFORUS ($PERCENT_NOTFORUS%) packages which are neither Architecture: 'any', 'all', 'amd64', 'linux-any', 'linux-amd64' nor 'any-amd64' will not be build here"
write_page "and those "
set_icon blacklisted
write_icon
diff --git a/bin/reproducible_html_indexes.sh b/bin/reproducible_html_indexes.sh
index 4dc10197..371e206a 100755
--- a/bin/reproducible_html_indexes.sh
+++ b/bin/reproducible_html_indexes.sh
@@ -92,7 +92,7 @@ for VIEW in last_24h last_48h all_abc ; do
write_page "<p>"
set_icon blacklisted
write_icon
- write_page "$COUNT_BLACKLISTED packages are blacklisted and will never be tested here: <code>"
+ write_page "$COUNT_BLACKLISTED packages are blacklisted and will not be tested here: <code>"
link_packages $BLACKLISTED
write_page "</code></p>"
fi
diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index f7682245..950a8d4a 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -101,6 +101,24 @@ if grep -q '|' $PACKAGES ; then
fi
rm $PACKAGES
+# find packages which have been removed from sid
+QUERY="SELECT source_packages.name FROM source_packages
+ WHERE source_packages.name NOT IN
+ (SELECT sources.name FROM sources)
+ LIMIT 25"
+PACKAGES=$(sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY")
+if [ ! -z "$PACKAGES" ] ; then
+ echo
+ echo "Removing these removed packages from database:"
+ echo $PACKAGES
+ echo
+ QUERY="DELETE FROM source_packages
+ WHERE source_packages.name NOT IN
+ (SELECT sources.name FROM sources)
+ LIMIT 25"
+ sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY"
+fi
+
if ! $DIRTY ; then
echo "Everything seems to be fine."
echo
diff --git a/bin/reproducible_scheduler.sh b/bin/reproducible_scheduler.sh
index f17590a0..5922e0ad 100755
--- a/bin/reproducible_scheduler.sh
+++ b/bin/reproducible_scheduler.sh
@@ -91,7 +91,7 @@ select_unknown_packages() {
WHERE sources.name=source_packages.name)
ORDER BY random()
LIMIT $1"
- do_sql_query "never tested before, randomly sorted"
+ do_sql_query "not tested before, randomly sorted"
}
select_new_versions() {
diff --git a/d-i-preseed-cfgs/debian-edu_jessie_main-ltsp-server_preseed.cfg b/d-i-preseed-cfgs/debian-edu_jessie_main-ltsp-server_preseed.cfg
index d70b5140..98d853a8 100644
--- a/d-i-preseed-cfgs/debian-edu_jessie_main-ltsp-server_preseed.cfg
+++ b/d-i-preseed-cfgs/debian-edu_jessie_main-ltsp-server_preseed.cfg
@@ -23,10 +23,10 @@ d-i keymap select us
# netcfg will choose an interface that has link if possible. This makes it
# skip displaying a list if there is more than one interface.
-d-i netcfg/choose_interface select auto
+#d-i netcfg/choose_interface select auto
# To pick a particular interface instead:
-#d-i netcfg/choose_interface select eth0
+d-i netcfg/choose_interface select eth0
# To set a different link detection timeout (default is 3 seconds).
# Values are interpreted as seconds.
diff --git a/d-i-preseed-cfgs/debian_jessie_daily_kfreebsd_preseed.cfg b/d-i-preseed-cfgs/debian_jessie_kfreebsd_preseed.cfg
index f5c7678a..f5c7678a 120000
--- a/d-i-preseed-cfgs/debian_jessie_daily_kfreebsd_preseed.cfg
+++ b/d-i-preseed-cfgs/debian_jessie_kfreebsd_preseed.cfg
diff --git a/d-i-preseed-cfgs/debian_sid_daily_kfreebsd_preseed.cfg b/d-i-preseed-cfgs/debian_sid_daily_kfreebsd_preseed.cfg
index c321dc2a..9922d8b0 100644
--- a/d-i-preseed-cfgs/debian_sid_daily_kfreebsd_preseed.cfg
+++ b/d-i-preseed-cfgs/debian_sid_daily_kfreebsd_preseed.cfg
@@ -11,8 +11,7 @@ d-i debian-installer/locale string en_US
#d-i localechooser/supported-locales multiselect en_US.UTF-8, nl_NL.UTF-8
# Keyboard selection.
-# keymap is an alias for keyboard-configuration/xkb-keymap
-d-i keymap select us
+d-i keyboard-configuration/xkb-keymap select us
# d-i keyboard-configuration/toggle select No toggling
### Network configuration
@@ -310,7 +309,7 @@ tasksel tasksel/desktop multiselect xfce
#popularity-contest popularity-contest/participate boolean false
# install grub on the first disk found
-d-i grub-installer/bootdev string /dev/ada
+d-i grub-installer/bootdev string /dev/ada0
### Finishing up the installation
# During installations from serial console, the regular virtual consoles
diff --git a/d-i-preseed-cfgs/debian_wheezy_daily_kfreebsd_preseed.cfg b/d-i-preseed-cfgs/debian_wheezy_kfreebsd_preseed.cfg
index f5c7678a..f5c7678a 120000
--- a/d-i-preseed-cfgs/debian_wheezy_daily_kfreebsd_preseed.cfg
+++ b/d-i-preseed-cfgs/debian_wheezy_kfreebsd_preseed.cfg
diff --git a/etc/sudoers.d/jenkins b/etc/sudoers.d/jenkins
index 53095f2d..d3356045 100644
--- a/etc/sudoers.d/jenkins
+++ b/etc/sudoers.d/jenkins
@@ -17,7 +17,7 @@ jenkins ALL= \
/bin/mount -o loop*, \
/bin/mount --bind *, \
/usr/bin/du *, \
- /bin/kill -9 *, \
+ /bin/kill *, \
/usr/bin/file *, \
/bin/dd if=/dev/zero of=/dev/jenkins*, \
/usr/bin/qemu-system-x86_64 *, \